/** 
 *  _   _        _  _                           _             
 * | |_| |  ___ | || |  ___   __ _  _ __  _ __ (_)  ___  _ __ 
 * |  _  | / _ \| || | / __| / _` || '__|| '__|| | / _ \| '__|
 * | | | ||  __/| || || (__ | (_| || |   | |   | ||  __/| |   
 * |_| |_| \___||_||_| \___| \__,_||_|   |_|   |_| \___||_|   
 * 
 *  (c) 2001 Free Lunch Design, Teknisk-IT, AerotechTelub
 *			  http://www.freelunchdesign.com
 * 
 * This source code is released as is under GPL (General Public
 * License). Please refer to license.txt for more information.
 * 
 */
 
#ifndef _SOLDIER_H_
#define _SOLDIER_H_


#include "allegro.h"
#include "main.h"
#include "mission.h"
#include "unit.h"
#include "soldier.h"
#include "player.h"


#define SOLDIER_IDLE		1
#define SOLDIER_ATTACKING	2
#define SOLDIER_FLEEING		3


class soldier : public unit {

public:
	int		die_sound;
	int		burn_sound;
	int		mode;
	int		jeep_skill;
	int		truck_skill;
	int		tank_skill;
	int		heli_skill;
	int		jump_image;
	bool	pup_collector;
	int		carrying_pup;
	int		pup_search_time;
	class	player  *ply;

	char	wanna_ride;	// stupid var-name, I know

	soldier(int t);
	~soldier();

	class projectile *fire(int type);

	bool add_object(object *o)  { return FALSE; };
	void empty(mission *m) {};
	void props_dialog(DATAFILE *df);
	void to_string(char *str);
	void save(PACKFILE *fp);
	void load(PACKFILE *fp);
	void draw(BITMAP *bmp, DATAFILE *gfx, fixed ca, bool shadow);
	void set_from_file(char* fname);
	void start_fire(int time);
private:
	int get_random(char *rnd);
};


#endif